Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class FileIterator

    java.lang.Object
      org.codehaus.groovy.ant.FileIterator

All Implemented Interfaces:
  Iterator

    public class FileIterator
    extends Object

`FileIterator` is an iterator over a number of files from a collection of FileSet instances.

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`FileIterator(Project project, Iterator fileSetIterator)`
`FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)`

Method Summary
`boolean` | `hasNext()` @return true if there is another object that matches the given predicate
`Object` | `next()` @return the next object which matches the given predicate
`void` | `remove()` throws UnsupportedOperationException

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FileIterator

    public FileIterator(Project project, Iterator fileSetIterator)

### FileIterator

    public FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)

Method Detail

### hasNext

    public boolean hasNext()

  Returns:
    true if there is another object that matches the given predicate

### next

    public Object next()

  Returns:
    the next object which matches the given predicate

### remove

    public void remove()

  throws UnsupportedOperationException

Copyright © 2003-2010 The Codehaus. All rights reserved.